Status: Closed Start date: 03 Sep 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.90 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 1.15 hour

Description

After renaming log to exponents the name LogToTerm makes little sense.

Suggestion: rename LogToTerm to MakeTerm -- this name is shorter and clearer.

Related issues:

Related to CoCoA-5 - Support #767: Rename Log to exponents Closed 03 Sep 2015

History

#1 - 03 Sep 2015 14:57 - John Abbott

- Assignee set to John Abbott

The function MakeTerm is very similar to the CoCoALib function monomial; the only difference is that monomial requires also the coefficient to be

specified, whereas MakeTerm assumes the coeff is 1.

We prefer not to use the name monomial because in CoCoALib it allows any coeff whereas the (vague) notion of "term" in CoCoA-5 corresponds

more or less to that of power product (PPMonoidElem in CoCoALib).

#2 - 03 Sep 2015 15:44 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 70

- Estimated time set to 0.90 h

Renamed fn in cocolib.cpkg5; updated tests and packages.  Updated manual.

All seems well.

JAA is slightly uneasy about allowing an exp vector which is shorter than the number of indets (see source code in coclib.cpkg5)

#3 - 03 Sep 2015 15:59 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

#4 - 16 Feb 2016 16:13 - John Abbott

In the last comment I expressed concern about allowing the exp-vector to be shorter than the number of indets in the ring.

The documentation in CoCoA-5 rather suggests that the length should be equal to the number of indets... because it says that MakeTerm is the

opposite of exponents.

JAA would like to decide this matter, and implement it (i.e. modify the source code or the documentation).  Then we can close the issue!
NOTE all CoCoA-5 tests pass when changing the impl of MakeTerm to report error when the length of the list is different from the number of indets.

#5 - 17 Feb 2016 13:05 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Anna has approved the stricter version of MakeTerm, so I have checked everything in (incl. updated doc).

Otherwise this has been in feedback for about 6 months, so closing.
